%------------------------------------------------------------------------------
% File     : NUM415^1 : TPTP v7.0.0. Released v3.6.0.
% Domain   : Number Theory
% Problem  : 2 * (3 + 7) = (2 * 5) * (1 + 1)
% Version  : [Ben08] axioms : Especial.
% English  :

% Refs     : [Ben08] Benzmueller (2008), Email to G. Sutcliffe
% Source   : [Ben08]
% Names    : CHURCH_NUM_1 [Ben08]

% Status   : Theorem
% Rating   : 0.00 v6.2.0, 0.29 v6.1.0, 0.14 v6.0.0, 0.29 v5.5.0, 0.17 v5.4.0, 0.20 v4.1.0, 0.00 v3.7.0
% Syntax   : Number of formulae    :   29 (   0 unit;  14 type;  14 defn)
%            Number of atoms       :  120 (  15 equality;  79 variable)
%            Maximal formula depth :   14 (   7 average)
%            Number of connectives :   75 (   0   ~;   0   |;   0   &;  75   @)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :   91 (  91   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :   15 (  14   :;   0   =)
%            Number of variables   :   33 (   1 sgn;   0   !;   0   ?;  33   ^)
%                                         (  33   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : 
%------------------------------------------------------------------------------
%----Include church numerals definitions
include('Axioms/NUM006^0.ax').
%------------------------------------------------------------------------------
thf(thm,conjecture,
    ( ( mult @ two @ ( plus @ three @ seven ) )
    = ( mult @ ( mult @ two @ five ) @ ( plus @ one @ one ) ) )).

%------------------------------------------------------------------------------
