%------------------------------------------------------------------------------
% File     : SEU865^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Set Theory (Finite sets)
% Problem  : TPS problem from FINITE-SET-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0995 [Bro09]

% Status   : Theorem
% Rating   : 1.00 v6.2.0, 0.71 v5.5.0, 0.67 v5.4.0, 1.00 v4.0.0
% Syntax   : Number of formulae    :    4 (   0 unit;   3 type;   0 defn)
%            Number of atoms       :   28 (   2 equality;  20 variable)
%            Maximal formula depth :   13 (   5 average)
%            Number of connectives :   23 (   0   ~;   2   |;   3   &;  12   @)
%                                         (   0 <=>;   6  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    8 (   8   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    6 (   3   :;   0   =)
%            Number of variables   :   11 (   2 sgn;   7   !;   0   ?;   4   ^)
%                                         (  11   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(cB,type,(
    cB: a > $o )).

thf(cC,type,(
    cC: a > $o )).

thf(cTHM531_pme,conjecture,
    ( ( ! [Xw: ( a > $o ) > $o] :
          ( ( ( Xw
              @ ^ [Xx: a] : $false )
            & ! [Xr: a > $o,Xx: a] :
                ( ( Xw @ Xr )
               => ( Xw
                  @ ^ [Xt: a] :
                      ( ( Xr @ Xt )
                      | ( Xt = Xx ) ) ) ) )
         => ( Xw @ cC ) )
      & ! [Xx: a] :
          ( ( cB @ Xx )
         => ( cC @ Xx ) ) )
   => ! [Xw: ( a > $o ) > $o] :
        ( ( ( Xw
            @ ^ [Xx: a] : $false )
          & ! [Xr: a > $o,Xx: a] :
              ( ( Xw @ Xr )
             => ( Xw
                @ ^ [Xt: a] :
                    ( ( Xr @ Xt )
                    | ( Xt = Xx ) ) ) ) )
       => ( Xw @ cB ) ) )).

%------------------------------------------------------------------------------
