%------------------------------------------------------------------------------
% File     : SEU884^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Set Theory
% Problem  : TPS problem THM30B
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0234 [Bro09]
%          : THM30B [TPS]

% Status   : Theorem
% Rating   : 0.12 v7.0.0, 0.14 v6.4.0, 0.17 v6.3.0, 0.20 v6.2.0, 0.00 v6.1.0, 0.14 v5.5.0, 0.17 v5.4.0, 0.20 v5.3.0, 0.40 v5.2.0, 0.20 v5.1.0, 0.40 v5.0.0, 0.20 v4.1.0, 0.00 v4.0.0
% Syntax   : Number of formulae    :    4 (   0 unit;   3 type;   0 defn)
%            Number of atoms       :   14 (   2 equality;   8 variable)
%            Maximal formula depth :    7 (   4 average)
%            Number of connectives :    9 (   0   ~;   0   |;   2   &;   4   @)
%                                         (   0 <=>;   3  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    2 (   2   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    5 (   3   :;   0   =)
%            Number of variables   :    4 (   0 sgn;   2   !;   2   ?;   0   ^)
%                                         (   4   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%          : 
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(cS,type,(
    cS: a > $o )).

thf(cR,type,(
    cR: a > $o )).

thf(cTHM30B_pme,conjecture,
    ( ! [Xx: a] :
        ( ? [Xt: a] :
            ( ( cR @ Xt )
            & ( Xx = Xt ) )
       => ? [Xt: a] :
            ( ( cS @ Xt )
            & ( Xx = Xt ) ) )
   => ! [Xx: a] :
        ( ( cR @ Xx )
       => ( cS @ Xx ) ) )).

%------------------------------------------------------------------------------
