%------------------------------------------------------------------------------
% File     : SEU907^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Set Theory
% Problem  : TPS problem from FUNS-AND-SETS-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0905 [Bro09]

% Status   : Theorem
% Rating   : 1.00 v4.0.0
% Syntax   : Number of formulae    :    1 (   0 unit;   0 type;   0 defn)
%            Number of atoms       :   23 (   4 equality;  19 variable)
%            Maximal formula depth :   14 (  14 average)
%            Number of connectives :   14 (   0   ~;   0   |;   2   &;   9   @)
%                                         (   0 <=>;   3  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    5 (   5   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    2 (   0   :;   0   =)
%            Number of variables   :   10 (   0 sgn;   3   !;   3   ?;   4   ^)
%                                         (  10   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(cTHM15_pme,conjecture,(
    ! [Xf: $i > $i] :
      ( ? [Xg: $i > $i] :
          ( ! [Xp: ( $i > $i ) > $o] :
              ( ( ( Xp @ Xf )
                & ! [Xj: $i > $i] :
                    ( ( Xp @ Xj )
                   => ( Xp
                      @ ^ [Xx: $i] :
                          ( Xf @ ( Xj @ Xx ) ) ) ) )
             => ( Xp @ Xg ) )
          & ? [Xy: $i] :
              ( ( ^ [Xx: $i] :
                    ( ( Xg @ Xx )
                    = Xx ) )
              = ( ^ [Xx: $i,Xy: $i] : ( Xx = Xy )
                @ Xy ) ) )
     => ? [Xy: $i] :
          ( ( Xf @ Xy )
          = Xy ) ) )).

%------------------------------------------------------------------------------
