%------------------------------------------------------------------------------
% File     : SEV065^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Set Theory (Relations)
% Problem  : TPS problem THM177
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0417 [Bro09]
%          : THM177 [TPS]

% Status   : Theorem
% Rating   : 0.25 v7.0.0, 0.29 v6.4.0, 0.33 v6.3.0, 0.40 v6.2.0, 0.29 v5.5.0, 0.17 v5.4.0, 0.40 v5.1.0, 0.60 v5.0.0, 0.40 v4.1.0, 0.33 v4.0.0
% Syntax   : Number of formulae    :    3 (   0 unit;   2 type;   0 defn)
%            Number of atoms       :   20 (   5 equality;  15 variable)
%            Maximal formula depth :   13 (   6 average)
%            Number of connectives :   10 (   1   ~;   1   |;   3   &;   4   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    2 (   2   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    4 (   2   :;   0   =)
%            Number of variables   :    5 (   0 sgn;   3   !;   0   ?;   2   ^)
%                                         (   5   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%          : 
%------------------------------------------------------------------------------
thf(b_type,type,(
    b: $tType )).

thf(a_type,type,(
    a: $tType )).

thf(cTHM177_pme,conjecture,(
    ! [Xx: b,Xy: a,Xk: b > a > $o] :
      ( ( Xk @ Xx @ Xy )
     => ( ( ^ [Xu: b,Xv: a] :
              ( ( ( Xk @ Xu @ Xv )
                & ~ ( ( Xu = Xx )
                    & ( Xv = Xy ) ) )
              | ( ( Xu = Xx )
                & ( Xv = Xy ) ) ) )
        = Xk ) ) )).

%------------------------------------------------------------------------------
