%------------------------------------------------------------------------------
% File     : SYO037^1 : TPTP v7.0.0. Released v3.7.0.
% Domain   : Syntactic
% Problem  : Injective Cantor theorem
% Version  : Especial.
% English  :

% Refs     : [BB05]  Benzmueller & Brown (2005), A Structured Set of Higher
%          : [Ben09] Benzmueller (2009), Email to Geoff Sutcliffe
% Source   : [Ben09]
% Names    : Example 32 [BB05]

% Status   : Theorem
% Rating   : 1.00 v3.7.0
% Syntax   : Number of formulae    :    1 (   0 unit;   0 type;   0 defn)
%            Number of atoms       :    8 (   2 equality;   6 variable)
%            Maximal formula depth :    8 (   8 average)
%            Number of connectives :    4 (   1   ~;   0   |;   0   &;   2   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    4 (   4   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    2 (   0   :;   0   =)
%            Number of variables   :    3 (   0 sgn;   2   !;   1   ?;   0   ^)
%                                         (   3   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : Requires set comprehension, and set instantiation
%          : 
%------------------------------------------------------------------------------
thf(conj,conjecture,(
    ~ ( ? [H: ( $i > $o ) > $i] :
        ! [P: $i > $o,Q: $i > $o] :
          ( ( ( H @ P )
            = ( H @ Q ) )
         => ( P = Q ) ) ) )).

%------------------------------------------------------------------------------
