%------------------------------------------------------------------------------
% File     : SYO159^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem from BASIC-FO-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0855 [Bro09]

% Status   : Theorem
% Rating   : 0.14 v7.0.0, 0.12 v6.4.0, 0.14 v6.3.0, 0.17 v6.0.0, 0.00 v4.0.0
% Syntax   : Number of formulae    :    4 (   0 unit;   3 type;   0 defn)
%            Number of atoms       :   14 (   0 equality;   8 variable)
%            Maximal formula depth :   10 (   5 average)
%            Number of connectives :   17 (   4   ~;   0   |;   2   &;   8   @)
%                                         (   0 <=>;   3  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    4 (   4   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    5 (   3   :;   0   =)
%            Number of variables   :    4 (   0 sgn;   1   !;   3   ?;   0   ^)
%                                         (   4   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(cC,type,(
    cC: $i > $o )).

thf(cB,type,(
    cB: $i > $i > $o )).

thf(cA,type,(
    cA: $i > $o )).

thf(cNNF_EXAMPLE,conjecture,
    ( ~ ( ! [Xx: $i] :
            ( ( cA @ Xx )
           => ? [Xy: $i] :
                ( ( cB @ Xx @ Xy )
                & ( cC @ Xy ) ) ) )
   => ? [Xu: $i] :
        ( ( cA @ Xu )
        & ~ ( ? [Xv: $i] :
                ~ ( ( cB @ Xu @ Xv )
                 => ~ ( cC @ Xv ) ) ) ) )).

%------------------------------------------------------------------------------
