%------------------------------------------------------------------------------
% File     : SYO181^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem from BASIC-FO-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_1260 [Bro09]

% Status   : Theorem
% Rating   : 0.71 v7.0.0, 0.62 v6.4.0, 0.71 v6.3.0, 0.67 v6.0.0, 0.50 v5.5.0, 0.40 v5.4.0, 0.50 v5.2.0, 0.75 v4.1.0, 1.00 v4.0.0
% Syntax   : Number of formulae    :  109 (   0 unit; 108 type;   0 defn)
%            Number of atoms       :  753 (   0 equality;   0 variable)
%            Maximal formula depth :  227 (   4 average)
%            Number of connectives : 1289 ( 537   ~; 316   |; 435   &;   0   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    0 (   0   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :  110 ( 108   :;   0   =)
%            Number of variables   :    0 (   0 sgn;   0   !;   0   ?;   0   ^)
%                                         (   0   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(q75,type,(
    q75: $o )).

thf(p66,type,(
    p66: $o )).

thf(q74,type,(
    q74: $o )).

thf(p65,type,(
    p65: $o )).

thf(q73,type,(
    q73: $o )).

thf(p64,type,(
    p64: $o )).

thf(q72,type,(
    q72: $o )).

thf(p63,type,(
    p63: $o )).

thf(q71,type,(
    q71: $o )).

thf(p62,type,(
    p62: $o )).

thf(q70,type,(
    q70: $o )).

thf(p61,type,(
    p61: $o )).

thf(p60,type,(
    p60: $o )).

thf(q66,type,(
    q66: $o )).

thf(p57,type,(
    p57: $o )).

thf(q65,type,(
    q65: $o )).

thf(p56,type,(
    p56: $o )).

thf(q64,type,(
    q64: $o )).

thf(p55,type,(
    p55: $o )).

thf(q63,type,(
    q63: $o )).

thf(p54,type,(
    p54: $o )).

thf(q62,type,(
    q62: $o )).

thf(p53,type,(
    p53: $o )).

thf(q61,type,(
    q61: $o )).

thf(p52,type,(
    p52: $o )).

thf(q60,type,(
    q60: $o )).

thf(p51,type,(
    p51: $o )).

thf(p50,type,(
    p50: $o )).

thf(q56,type,(
    q56: $o )).

thf(p47,type,(
    p47: $o )).

thf(q55,type,(
    q55: $o )).

thf(p46,type,(
    p46: $o )).

thf(q54,type,(
    q54: $o )).

thf(p45,type,(
    p45: $o )).

thf(q53,type,(
    q53: $o )).

thf(p44,type,(
    p44: $o )).

thf(q52,type,(
    q52: $o )).

thf(p43,type,(
    p43: $o )).

thf(q51,type,(
    q51: $o )).

thf(p42,type,(
    p42: $o )).

thf(q50,type,(
    q50: $o )).

thf(p41,type,(
    p41: $o )).

thf(p40,type,(
    p40: $o )).

thf(q46,type,(
    q46: $o )).

thf(p37,type,(
    p37: $o )).

thf(q45,type,(
    q45: $o )).

thf(p36,type,(
    p36: $o )).

thf(q44,type,(
    q44: $o )).

thf(p35,type,(
    p35: $o )).

thf(q43,type,(
    q43: $o )).

thf(p34,type,(
    p34: $o )).

thf(q42,type,(
    q42: $o )).

thf(p33,type,(
    p33: $o )).

thf(q41,type,(
    q41: $o )).

thf(p32,type,(
    p32: $o )).

thf(q40,type,(
    q40: $o )).

thf(p31,type,(
    p31: $o )).

thf(p30,type,(
    p30: $o )).

thf(q36,type,(
    q36: $o )).

thf(p27,type,(
    p27: $o )).

thf(q35,type,(
    q35: $o )).

thf(p26,type,(
    p26: $o )).

thf(q34,type,(
    q34: $o )).

thf(p25,type,(
    p25: $o )).

thf(q33,type,(
    q33: $o )).

thf(p24,type,(
    p24: $o )).

thf(q32,type,(
    q32: $o )).

thf(p23,type,(
    p23: $o )).

thf(q31,type,(
    q31: $o )).

thf(p22,type,(
    p22: $o )).

thf(q30,type,(
    q30: $o )).

thf(p21,type,(
    p21: $o )).

thf(p20,type,(
    p20: $o )).

thf(q26,type,(
    q26: $o )).

thf(p17,type,(
    p17: $o )).

thf(q25,type,(
    q25: $o )).

thf(p16,type,(
    p16: $o )).

thf(q24,type,(
    q24: $o )).

thf(p15,type,(
    p15: $o )).

thf(q23,type,(
    q23: $o )).

thf(p14,type,(
    p14: $o )).

thf(q22,type,(
    q22: $o )).

thf(p13,type,(
    p13: $o )).

thf(q21,type,(
    q21: $o )).

thf(p12,type,(
    p12: $o )).

thf(q20,type,(
    q20: $o )).

thf(p11,type,(
    p11: $o )).

thf(p10,type,(
    p10: $o )).

thf(q16,type,(
    q16: $o )).

thf(p07,type,(
    p07: $o )).

thf(q15,type,(
    q15: $o )).

thf(p06,type,(
    p06: $o )).

thf(q14,type,(
    q14: $o )).

thf(p05,type,(
    p05: $o )).

thf(q13,type,(
    q13: $o )).

thf(p04,type,(
    p04: $o )).

thf(q12,type,(
    q12: $o )).

thf(p03,type,(
    p03: $o )).

thf(q11,type,(
    q11: $o )).

thf(p02,type,(
    p02: $o )).

thf(q10,type,(
    q10: $o )).

thf(p01,type,(
    p01: $o )).

thf(q06,type,(
    q06: $o )).

thf(q05,type,(
    q05: $o )).

thf(q04,type,(
    q04: $o )).

thf(q03,type,(
    q03: $o )).

thf(q02,type,(
    q02: $o )).

thf(q01,type,(
    q01: $o )).

thf(cTHM602A,conjecture,
    ( ( ( ~ ( p01 )
        | ~ ( p11 ) )
      & ( ~ ( p02 )
        | ~ ( p12 ) )
      & ( ~ ( p03 )
        | ~ ( p13 ) )
      & ( ~ ( p04 )
        | ~ ( p14 ) )
      & ( ~ ( p05 )
        | ~ ( p15 ) )
      & ( ~ ( p06 )
        | ~ ( p16 ) )
      & ( ~ ( p07 )
        | ~ ( p17 ) )
      & ( ~ ( p10 )
        | ~ ( p20 ) )
      & ( ~ ( p11 )
        | ( ~ ( p01 )
          & ~ ( p21 ) ) )
      & ( ~ ( p12 )
        | ( ~ ( p02 )
          & ~ ( p22 ) ) )
      & ( ~ ( p13 )
        | ( ~ ( p03 )
          & ~ ( p23 ) ) )
      & ( ~ ( p14 )
        | ( ~ ( p04 )
          & ~ ( p24 ) ) )
      & ( ~ ( p15 )
        | ( ~ ( p05 )
          & ~ ( p25 ) ) )
      & ( ~ ( p16 )
        | ( ~ ( p06 )
          & ~ ( p26 ) ) )
      & ( ~ ( p17 )
        | ( ~ ( p07 )
          & ~ ( p27 ) ) )
      & ( ~ ( p20 )
        | ( ~ ( p10 )
          & ~ ( p30 ) ) )
      & ( ~ ( p21 )
        | ( ~ ( p11 )
          & ~ ( p31 ) ) )
      & ( ~ ( p22 )
        | ( ~ ( p12 )
          & ~ ( p32 ) ) )
      & ( ~ ( p23 )
        | ( ~ ( p13 )
          & ~ ( p33 ) ) )
      & ( ~ ( p24 )
        | ( ~ ( p14 )
          & ~ ( p34 ) ) )
      & ( ~ ( p25 )
        | ( ~ ( p15 )
          & ~ ( p35 ) ) )
      & ( ~ ( p26 )
        | ( ~ ( p16 )
          & ~ ( p36 ) ) )
      & ( ~ ( p27 )
        | ( ~ ( p17 )
          & ~ ( p37 ) ) )
      & ( ~ ( p30 )
        | ( ~ ( p20 )
          & ~ ( p40 ) ) )
      & ( ~ ( p31 )
        | ( ~ ( p21 )
          & ~ ( p41 ) ) )
      & ( ~ ( p32 )
        | ( ~ ( p22 )
          & ~ ( p42 ) ) )
      & ( ~ ( p33 )
        | ( ~ ( p23 )
          & ~ ( p43 ) ) )
      & ( ~ ( p34 )
        | ( ~ ( p24 )
          & ~ ( p44 ) ) )
      & ( ~ ( p35 )
        | ( ~ ( p25 )
          & ~ ( p45 ) ) )
      & ( ~ ( p36 )
        | ( ~ ( p26 )
          & ~ ( p46 ) ) )
      & ( ~ ( p37 )
        | ( ~ ( p27 )
          & ~ ( p47 ) ) )
      & ( ~ ( p40 )
        | ( ~ ( p30 )
          & ~ ( p50 ) ) )
      & ( ~ ( p41 )
        | ( ~ ( p31 )
          & ~ ( p51 ) ) )
      & ( ~ ( p42 )
        | ( ~ ( p32 )
          & ~ ( p52 ) ) )
      & ( ~ ( p43 )
        | ( ~ ( p33 )
          & ~ ( p53 ) ) )
      & ( ~ ( p44 )
        | ( ~ ( p34 )
          & ~ ( p54 ) ) )
      & ( ~ ( p45 )
        | ( ~ ( p35 )
          & ~ ( p55 ) ) )
      & ( ~ ( p46 )
        | ( ~ ( p36 )
          & ~ ( p56 ) ) )
      & ( ~ ( p47 )
        | ( ~ ( p37 )
          & ~ ( p57 ) ) )
      & ( ~ ( p50 )
        | ( ~ ( p40 )
          & ~ ( p60 ) ) )
      & ( ~ ( p51 )
        | ( ~ ( p41 )
          & ~ ( p61 ) ) )
      & ( ~ ( p52 )
        | ( ~ ( p42 )
          & ~ ( p62 ) ) )
      & ( ~ ( p53 )
        | ( ~ ( p43 )
          & ~ ( p63 ) ) )
      & ( ~ ( p54 )
        | ( ~ ( p44 )
          & ~ ( p64 ) ) )
      & ( ~ ( p55 )
        | ( ~ ( p45 )
          & ~ ( p65 ) ) )
      & ( ~ ( p56 )
        | ( ~ ( p46 )
          & ~ ( p66 ) ) )
      & ( ~ ( p57 )
        | ~ ( p47 ) )
      & ( ~ ( p60 )
        | ~ ( p50 ) )
      & ( ~ ( p61 )
        | ~ ( p51 ) )
      & ( ~ ( p62 )
        | ~ ( p52 ) )
      & ( ~ ( p63 )
        | ~ ( p53 ) )
      & ( ~ ( p64 )
        | ~ ( p54 ) )
      & ( ~ ( p65 )
        | ~ ( p55 ) )
      & ( ~ ( p66 )
        | ~ ( p56 ) )
      & ( ~ ( q01 )
        | ~ ( q02 ) )
      & ( ~ ( q02 )
        | ( ~ ( q01 )
          & ~ ( q03 ) ) )
      & ( ~ ( q03 )
        | ( ~ ( q02 )
          & ~ ( q04 ) ) )
      & ( ~ ( q04 )
        | ( ~ ( q03 )
          & ~ ( q05 ) ) )
      & ( ~ ( q05 )
        | ( ~ ( q04 )
          & ~ ( q06 ) ) )
      & ( ~ ( q06 )
        | ~ ( q05 ) )
      & ( ~ ( q10 )
        | ~ ( q11 ) )
      & ( ~ ( q11 )
        | ( ~ ( q10 )
          & ~ ( q12 ) ) )
      & ( ~ ( q12 )
        | ( ~ ( q11 )
          & ~ ( q13 ) ) )
      & ( ~ ( q13 )
        | ( ~ ( q12 )
          & ~ ( q14 ) ) )
      & ( ~ ( q14 )
        | ( ~ ( q13 )
          & ~ ( q15 ) ) )
      & ( ~ ( q15 )
        | ( ~ ( q14 )
          & ~ ( q16 ) ) )
      & ( ~ ( q16 )
        | ~ ( q15 ) )
      & ( ~ ( q20 )
        | ~ ( q21 ) )
      & ( ~ ( q21 )
        | ( ~ ( q20 )
          & ~ ( q22 ) ) )
      & ( ~ ( q22 )
        | ( ~ ( q21 )
          & ~ ( q23 ) ) )
      & ( ~ ( q23 )
        | ( ~ ( q22 )
          & ~ ( q24 ) ) )
      & ( ~ ( q24 )
        | ( ~ ( q23 )
          & ~ ( q25 ) ) )
      & ( ~ ( q25 )
        | ( ~ ( q24 )
          & ~ ( q26 ) ) )
      & ( ~ ( q26 )
        | ~ ( q25 ) )
      & ( ~ ( q30 )
        | ~ ( q31 ) )
      & ( ~ ( q31 )
        | ( ~ ( q30 )
          & ~ ( q32 ) ) )
      & ( ~ ( q32 )
        | ( ~ ( q31 )
          & ~ ( q33 ) ) )
      & ( ~ ( q33 )
        | ( ~ ( q32 )
          & ~ ( q34 ) ) )
      & ( ~ ( q34 )
        | ( ~ ( q33 )
          & ~ ( q35 ) ) )
      & ( ~ ( q35 )
        | ( ~ ( q34 )
          & ~ ( q36 ) ) )
      & ( ~ ( q36 )
        | ~ ( q35 ) )
      & ( ~ ( q40 )
        | ~ ( q41 ) )
      & ( ~ ( q41 )
        | ( ~ ( q40 )
          & ~ ( q42 ) ) )
      & ( ~ ( q42 )
        | ( ~ ( q41 )
          & ~ ( q43 ) ) )
      & ( ~ ( q43 )
        | ( ~ ( q42 )
          & ~ ( q44 ) ) )
      & ( ~ ( q44 )
        | ( ~ ( q43 )
          & ~ ( q45 ) ) )
      & ( ~ ( q45 )
        | ( ~ ( q44 )
          & ~ ( q46 ) ) )
      & ( ~ ( q46 )
        | ~ ( q45 ) )
      & ( ~ ( q50 )
        | ~ ( q51 ) )
      & ( ~ ( q51 )
        | ( ~ ( q50 )
          & ~ ( q52 ) ) )
      & ( ~ ( q52 )
        | ( ~ ( q51 )
          & ~ ( q53 ) ) )
      & ( ~ ( q53 )
        | ( ~ ( q52 )
          & ~ ( q54 ) ) )
      & ( ~ ( q54 )
        | ( ~ ( q53 )
          & ~ ( q55 ) ) )
      & ( ~ ( q55 )
        | ( ~ ( q54 )
          & ~ ( q56 ) ) )
      & ( ~ ( q56 )
        | ~ ( q55 ) )
      & ( ~ ( q60 )
        | ~ ( q61 ) )
      & ( ~ ( q61 )
        | ( ~ ( q60 )
          & ~ ( q62 ) ) )
      & ( ~ ( q62 )
        | ( ~ ( q61 )
          & ~ ( q63 ) ) )
      & ( ~ ( q63 )
        | ( ~ ( q62 )
          & ~ ( q64 ) ) )
      & ( ~ ( q64 )
        | ( ~ ( q63 )
          & ~ ( q65 ) ) )
      & ( ~ ( q65 )
        | ( ~ ( q64 )
          & ~ ( q66 ) ) )
      & ( ~ ( q66 )
        | ~ ( q65 ) )
      & ( ~ ( q70 )
        | ~ ( q71 ) )
      & ( ~ ( q71 )
        | ( ~ ( q70 )
          & ~ ( q72 ) ) )
      & ( ~ ( q72 )
        | ( ~ ( q71 )
          & ~ ( q73 ) ) )
      & ( ~ ( q73 )
        | ( ~ ( q72 )
          & ~ ( q74 ) ) )
      & ( ~ ( q74 )
        | ( ~ ( q73 )
          & ~ ( q75 ) ) )
      & ( ~ ( q75 )
        | ~ ( q74 ) )
      & ( ~ ( p01 )
        | ( ~ ( q01 )
          & ~ ( q10 )
          & ~ ( q11 ) ) )
      & ( ~ ( p02 )
        | ( ~ ( q02 )
          & ~ ( q01 )
          & ~ ( q11 )
          & ~ ( q12 ) ) )
      & ( ~ ( p03 )
        | ( ~ ( q03 )
          & ~ ( q02 )
          & ~ ( q12 )
          & ~ ( q13 ) ) )
      & ( ~ ( p04 )
        | ( ~ ( q04 )
          & ~ ( q03 )
          & ~ ( q13 )
          & ~ ( q14 ) ) )
      & ( ~ ( p05 )
        | ( ~ ( q05 )
          & ~ ( q04 )
          & ~ ( q14 )
          & ~ ( q15 ) ) )
      & ( ~ ( p06 )
        | ( ~ ( q06 )
          & ~ ( q05 )
          & ~ ( q15 )
          & ~ ( q16 ) ) )
      & ( ~ ( p07 )
        | ( ~ ( q06 )
          & ~ ( q16 ) ) )
      & ( ~ ( p10 )
        | ( ~ ( q10 )
          & ~ ( q20 ) ) )
      & ( ~ ( p11 )
        | ( ~ ( q11 )
          & ~ ( q10 )
          & ~ ( q20 )
          & ~ ( q21 ) ) )
      & ( ~ ( p12 )
        | ( ~ ( q12 )
          & ~ ( q11 )
          & ~ ( q21 )
          & ~ ( q22 ) ) )
      & ( ~ ( p13 )
        | ( ~ ( q13 )
          & ~ ( q12 )
          & ~ ( q22 )
          & ~ ( q23 ) ) )
      & ( ~ ( p14 )
        | ( ~ ( q14 )
          & ~ ( q13 )
          & ~ ( q23 )
          & ~ ( q24 ) ) )
      & ( ~ ( p15 )
        | ( ~ ( q15 )
          & ~ ( q14 )
          & ~ ( q24 )
          & ~ ( q25 ) ) )
      & ( ~ ( p16 )
        | ( ~ ( q16 )
          & ~ ( q15 )
          & ~ ( q25 )
          & ~ ( q26 ) ) )
      & ( ~ ( p17 )
        | ( ~ ( q16 )
          & ~ ( q26 ) ) )
      & ( ~ ( p20 )
        | ( ~ ( q20 )
          & ~ ( q30 ) ) )
      & ( ~ ( p21 )
        | ( ~ ( q21 )
          & ~ ( q20 )
          & ~ ( q30 )
          & ~ ( q31 ) ) )
      & ( ~ ( p22 )
        | ( ~ ( q22 )
          & ~ ( q21 )
          & ~ ( q31 )
          & ~ ( q32 ) ) )
      & ( ~ ( p23 )
        | ( ~ ( q23 )
          & ~ ( q22 )
          & ~ ( q32 )
          & ~ ( q33 ) ) )
      & ( ~ ( p24 )
        | ( ~ ( q24 )
          & ~ ( q23 )
          & ~ ( q33 )
          & ~ ( q34 ) ) )
      & ( ~ ( p25 )
        | ( ~ ( q25 )
          & ~ ( q24 )
          & ~ ( q34 )
          & ~ ( q35 ) ) )
      & ( ~ ( p26 )
        | ( ~ ( q26 )
          & ~ ( q25 )
          & ~ ( q35 )
          & ~ ( q36 ) ) )
      & ( ~ ( p27 )
        | ( ~ ( q26 )
          & ~ ( q36 ) ) )
      & ( ~ ( p30 )
        | ( ~ ( q30 )
          & ~ ( q40 ) ) )
      & ( ~ ( p31 )
        | ( ~ ( q31 )
          & ~ ( q30 )
          & ~ ( q40 )
          & ~ ( q41 ) ) )
      & ( ~ ( p32 )
        | ( ~ ( q32 )
          & ~ ( q31 )
          & ~ ( q41 )
          & ~ ( q42 ) ) )
      & ( ~ ( p33 )
        | ( ~ ( q33 )
          & ~ ( q32 )
          & ~ ( q42 )
          & ~ ( q43 ) ) )
      & ( ~ ( p34 )
        | ( ~ ( q34 )
          & ~ ( q33 )
          & ~ ( q43 )
          & ~ ( q44 ) ) )
      & ( ~ ( p35 )
        | ( ~ ( q35 )
          & ~ ( q34 )
          & ~ ( q44 )
          & ~ ( q45 ) ) )
      & ( ~ ( p36 )
        | ( ~ ( q36 )
          & ~ ( q35 )
          & ~ ( q45 )
          & ~ ( q46 ) ) )
      & ( ~ ( p37 )
        | ( ~ ( q36 )
          & ~ ( q46 ) ) )
      & ( ~ ( p40 )
        | ( ~ ( q40 )
          & ~ ( q50 ) ) )
      & ( ~ ( p41 )
        | ( ~ ( q41 )
          & ~ ( q40 )
          & ~ ( q50 )
          & ~ ( q51 ) ) )
      & ( ~ ( p42 )
        | ( ~ ( q42 )
          & ~ ( q41 )
          & ~ ( q51 )
          & ~ ( q52 ) ) )
      & ( ~ ( p43 )
        | ( ~ ( q43 )
          & ~ ( q42 )
          & ~ ( q52 )
          & ~ ( q53 ) ) )
      & ( ~ ( p44 )
        | ( ~ ( q44 )
          & ~ ( q43 )
          & ~ ( q53 )
          & ~ ( q54 ) ) )
      & ( ~ ( p45 )
        | ( ~ ( q45 )
          & ~ ( q44 )
          & ~ ( q54 )
          & ~ ( q55 ) ) )
      & ( ~ ( p46 )
        | ( ~ ( q46 )
          & ~ ( q45 )
          & ~ ( q55 )
          & ~ ( q56 ) ) )
      & ( ~ ( p47 )
        | ( ~ ( q46 )
          & ~ ( q56 ) ) )
      & ( ~ ( p50 )
        | ( ~ ( q50 )
          & ~ ( q60 ) ) )
      & ( ~ ( p51 )
        | ( ~ ( q51 )
          & ~ ( q50 )
          & ~ ( q60 )
          & ~ ( q61 ) ) )
      & ( ~ ( p52 )
        | ( ~ ( q52 )
          & ~ ( q51 )
          & ~ ( q61 )
          & ~ ( q62 ) ) )
      & ( ~ ( p53 )
        | ( ~ ( q53 )
          & ~ ( q52 )
          & ~ ( q62 )
          & ~ ( q63 ) ) )
      & ( ~ ( p54 )
        | ( ~ ( q54 )
          & ~ ( q53 )
          & ~ ( q63 )
          & ~ ( q64 ) ) )
      & ( ~ ( p55 )
        | ( ~ ( q55 )
          & ~ ( q54 )
          & ~ ( q64 )
          & ~ ( q65 ) ) )
      & ( ~ ( p56 )
        | ( ~ ( q56 )
          & ~ ( q55 )
          & ~ ( q65 )
          & ~ ( q66 ) ) )
      & ( ~ ( p57 )
        | ( ~ ( q56 )
          & ~ ( q66 ) ) )
      & ( ~ ( p60 )
        | ( ~ ( q60 )
          & ~ ( q70 ) ) )
      & ( ~ ( p61 )
        | ( ~ ( q61 )
          & ~ ( q60 )
          & ~ ( q70 )
          & ~ ( q71 ) ) )
      & ( ~ ( p62 )
        | ( ~ ( q62 )
          & ~ ( q61 )
          & ~ ( q71 )
          & ~ ( q72 ) ) )
      & ( ~ ( p63 )
        | ( ~ ( q63 )
          & ~ ( q62 )
          & ~ ( q72 )
          & ~ ( q73 ) ) )
      & ( ~ ( p64 )
        | ( ~ ( q64 )
          & ~ ( q63 )
          & ~ ( q73 )
          & ~ ( q74 ) ) )
      & ( ~ ( p65 )
        | ( ~ ( q65 )
          & ~ ( q64 )
          & ~ ( q74 )
          & ~ ( q75 ) ) )
      & ( ~ ( p66 )
        | ( ~ ( q66 )
          & ~ ( q65 )
          & ~ ( q75 ) ) )
      & ( p01
        | q01 )
      & ( p02
        | q02
        | q01 )
      & ( p03
        | q03
        | q02 )
      & ( p04
        | q04
        | q03 )
      & ( p05
        | q05
        | q04 )
      & ( p06
        | q06
        | q05 )
      & ( p07
        | q06 )
      & ( p10
        | q10 )
      & ( p11
        | p01
        | q11
        | q10 )
      & ( p12
        | p02
        | q12
        | q11 )
      & ( p13
        | p03
        | q13
        | q12 )
      & ( p14
        | p04
        | q14
        | q13 )
      & ( p15
        | p05
        | q15
        | q14 )
      & ( p16
        | p06
        | q16
        | q15 )
      & ( p17
        | p07
        | q16 )
      & ( p20
        | p10
        | q20 )
      & ( p21
        | p11
        | q21
        | q20 )
      & ( p22
        | p12
        | q22
        | q21 )
      & ( p23
        | p13
        | q23
        | q22 )
      & ( p24
        | p14
        | q24
        | q23 )
      & ( p25
        | p15
        | q25
        | q24 )
      & ( p26
        | p16
        | q26
        | q25 )
      & ( p27
        | p17
        | q26 )
      & ( p30
        | p20
        | q30 )
      & ( p31
        | p21
        | q31
        | q30 )
      & ( p32
        | p22
        | q32
        | q31 )
      & ( p33
        | p23
        | q33
        | q32 )
      & ( p34
        | p24
        | q34
        | q33 )
      & ( p35
        | p25
        | q35
        | q34 )
      & ( p36
        | p26
        | q36
        | q35 )
      & ( p37
        | p27
        | q36 )
      & ( p40
        | p30
        | q40 )
      & ( p41
        | p31
        | q41
        | q40 )
      & ( p42
        | p32
        | q42
        | q41 )
      & ( p43
        | p33
        | q43
        | q42 )
      & ( p44
        | p34
        | q44
        | q43 )
      & ( p45
        | p35
        | q45
        | q44 )
      & ( p46
        | p36
        | q46
        | q45 )
      & ( p47
        | p37
        | q46 )
      & ( p50
        | p40
        | q50 )
      & ( p51
        | p41
        | q51
        | q50 )
      & ( p52
        | p42
        | q52
        | q51 )
      & ( p53
        | p43
        | q53
        | q52 )
      & ( p54
        | p44
        | q54
        | q53 )
      & ( p55
        | p45
        | q55
        | q54 )
      & ( p56
        | p46
        | q56
        | q55 )
      & ( p57
        | p47
        | q56 )
      & ( p60
        | p50
        | q60 )
      & ( p61
        | p51
        | q61
        | q60 )
      & ( p62
        | p52
        | q62
        | ~ ( q61 ) )
      & ( p63
        | p53
        | q63
        | q62 )
      & ( p64
        | p54
        | q64
        | q63 )
      & ( p65
        | p55
        | q65
        | q64 )
      & ( p66
        | p56
        | q66
        | q65 )
      & ( p57
        | q66 )
      & ( p60
        | q70 )
      & ( p61
        | q71
        | q70 )
      & ( p62
        | q72
        | q71 )
      & ( p63
        | q73
        | q72 )
      & ( p64
        | q74
        | q73 )
      & ( p65
        | q75
        | q74 )
      & ( p66
        | q75 ) )
   => $false )).

%------------------------------------------------------------------------------
