%------------------------------------------------------------------------------
% File     : SYO218^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem THM7B
% Version  : Especial.
% English  : Half-proved version of thm7 for test purposes.

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0135 [Bro09]
%          : THM7B [TPS]

% Status   : Theorem
% Rating   : 0.00 v6.2.0, 0.29 v6.1.0, 0.00 v6.0.0, 0.14 v5.5.0, 0.17 v5.4.0, 0.20 v4.1.0, 0.00 v4.0.1, 0.33 v4.0.0
% Syntax   : Number of formulae    :    1 (   0 unit;   0 type;   0 defn)
%            Number of atoms       :   15 (   5 equality;  10 variable)
%            Maximal formula depth :   10 (  10 average)
%            Number of connectives :    4 (   0   ~;   0   |;   0   &;   2   @)
%                                         (   0 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    2 (   2   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    2 (   0   :;   0   =)
%            Number of variables   :    5 (   0 sgn;   3   !;   0   ?;   2   ^)
%                                         (   5   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%          : 
%------------------------------------------------------------------------------
thf(cTHM7B_pme,conjecture,(
    ! [Xx: $i,Xy: $i] :
      ( ! [Xq: ( $i > $o ) > $i] :
          ( ( Xx
            = ( Xq
              @ ^ [Xz: $i] : ( Xx = Xz ) ) )
         => ( Xy
            = ( Xq
              @ ^ [Xz: $i] : ( Xy = Xz ) ) ) )
     => ( Xx = Xy ) ) )).

%------------------------------------------------------------------------------
