%------------------------------------------------------------------------------
% File     : SYO256^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem THM121
% Version  : Especial.
% English  : Test theorem for nested primitive substitutions.

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0106 [Bro09]
%          : THM121 [TPS]

% Status   : Theorem
% Rating   : 0.00 v6.2.0, 0.17 v6.1.0, 0.00 v4.0.0
% Syntax   : Number of formulae    :    2 (   0 unit;   1 type;   0 defn)
%            Number of atoms       :    7 (   0 equality;   7 variable)
%            Maximal formula depth :   10 (   6 average)
%            Number of connectives :    6 (   0   ~;   1   |;   0   &;   4   @)
%                                         (   1 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    3 (   1   :;   0   =)
%            Number of variables   :    5 (   0 sgn;   4   !;   1   ?;   0   ^)
%                                         (   5   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(cTHM121,conjecture,(
    ! [Xr: $o > $o,Xp: a > $o,Xq: a > $o] :
    ? [Xh: $o] :
      ( ( Xr @ Xh )
    <=> ( Xr
        @ ! [Xx: a] :
            ( ( Xp @ Xx )
            | ( Xq @ Xx ) ) ) ) )).

%------------------------------------------------------------------------------
