%------------------------------------------------------------------------------
% File     : NUM801^1 : TPTP v7.0.0. Released v3.7.0.
% Domain   : Number Theory
% Problem  : Something times four equals five plus something
% Version  : Especial.
% English  :

% Refs     : [BB05]  Benzmueller & Brown (2005), A Structured Set of Higher
%          : [Ben09] Benzmueller (2009), Email to Geoff Sutcliffe
% Source   : [Ben09]
% Names    : Example 1d [BB05]

% Status   : Theorem
% Rating   : 0.25 v7.0.0, 0.14 v6.4.0, 0.17 v6.3.0, 0.20 v6.2.0, 0.14 v6.0.0, 0.29 v5.5.0, 0.17 v5.4.0, 0.20 v5.3.0, 0.40 v5.2.0, 0.20 v4.1.0, 0.00 v4.0.1, 0.33 v4.0.0, 0.67 v3.7.0
% Syntax   : Number of formulae    :   29 (   0 unit;  14 type;  14 defn)
%            Number of atoms       :  114 (  15 equality;  81 variable)
%            Maximal formula depth :   14 (   7 average)
%            Number of connectives :   69 (   0   ~;   0   |;   0   &;  69   @)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :   97 (  97   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :   15 (  14   :;   0   =)
%            Number of variables   :   35 (   1 sgn;   0   !;   2   ?;  33   ^)
%                                         (  35   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : 
%------------------------------------------------------------------------------
%----Include Church numerals definitions
include('Axioms/NUM006^0.ax').
%------------------------------------------------------------------------------
thf(thm,conjecture,(
    ? [N: ( $i > $i ) > $i > $i,M: ( $i > $i ) > $i > $i] :
      ( ( mult @ N @ four )
      = ( plus @ five @ M ) ) )).

%------------------------------------------------------------------------------
