%------------------------------------------------------------------------------
% File     : SYN992^1 : TPTP v7.0.0. Bugfixed v4.0.0.
% Domain   : Syntactic
% Problem  : There exists a reflexive relation
% Version  : Especial.
% English  :

% Refs     : [Ben09] Benzmueller (2009), Email to Geoff Sutcliffe
% Source   : [Ben09]
% Names    :

% Status   : Theorem
% Rating   : 0.00 v6.2.0, 0.29 v6.1.0, 0.00 v6.0.0, 0.14 v5.5.0, 0.17 v5.4.0, 0.20 v5.3.0, 0.40 v5.2.0, 0.20 v4.1.0, 0.00 v4.0.0
% Syntax   : Number of formulae    :    3 (   0 unit;   1 type;   1 defn)
%            Number of atoms       :    7 (   1 equality;   4 variable)
%            Maximal formula depth :    6 (   5 average)
%            Number of connectives :    3 (   0   ~;   0   |;   0   &;   3   @)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    7 (   7   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    3 (   1   :;   0   =)
%            Number of variables   :    3 (   0 sgn;   1   !;   1   ?;   1   ^)
%                                         (   3   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : Set instantiation required
%          : 
% Bugfixes : v4.0.0 - Fixed conjecture.
%------------------------------------------------------------------------------
thf(refl_type,type,(
    refl: ( $i > $i > $o ) > $o )).

thf(refl,definition,
    ( refl
    = ( ^ [R: $i > $i > $o] :
        ! [X: $i] :
          ( R @ X @ X ) ) )).

thf(ax,conjecture,(
    ? [R: $i > $i > $o] :
      ( refl @ R ) )).

%------------------------------------------------------------------------------
