%------------------------------------------------------------------------------
% File     : SYO274^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem THM48-EXPD
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0478 [Bro09]
%          : THM48-EXPD [TPS]

% Status   : Theorem
% Rating   : 0.00 v6.2.0, 0.17 v6.1.0, 0.00 v5.2.0, 0.25 v5.1.0, 0.50 v5.0.0, 0.00 v4.1.0, 0.33 v4.0.0
% Syntax   : Number of formulae    :    6 (   0 unit;   5 type;   0 defn)
%            Number of atoms       :   32 (   0 equality;  24 variable)
%            Maximal formula depth :   10 (   4 average)
%            Number of connectives :   31 (   0   ~;   0   |;   1   &;  20   @)
%                                         (   0 <=>;  10  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    8 (   8   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    7 (   5   :;   0   =)
%            Number of variables   :   12 (   0 sgn;  12   !;   0   ?;   0   ^)
%                                         (  12   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(c_type,type,(
    c: $tType )).

thf(b_type,type,(
    b: $tType )).

thf(a_type,type,(
    a: $tType )).

thf(cG,type,(
    cG: c > b )).

thf(cF,type,(
    cF: b > a )).

thf(cTHM48_EXPD,conjecture,
    ( ( ! [Xx: b,Xy: b] :
          ( ! [Xq: a > $o] :
              ( ( Xq @ ( cF @ Xx ) )
             => ( Xq @ ( cF @ Xy ) ) )
         => ! [Xq: b > $o] :
              ( ( Xq @ Xx )
             => ( Xq @ Xy ) ) )
      & ! [Xx: c,Xy: c] :
          ( ! [Xq: b > $o] :
              ( ( Xq @ ( cG @ Xx ) )
             => ( Xq @ ( cG @ Xy ) ) )
         => ! [Xq: c > $o] :
              ( ( Xq @ Xx )
             => ( Xq @ Xy ) ) ) )
   => ! [Xx: c,Xy: c] :
        ( ! [Xq: a > $o] :
            ( ( Xq @ ( cF @ ( cG @ Xx ) ) )
           => ( Xq @ ( cF @ ( cG @ Xy ) ) ) )
       => ! [Xq: c > $o] :
            ( ( Xq @ Xx )
           => ( Xq @ Xy ) ) ) )).

%------------------------------------------------------------------------------
